Bug 483123 - No mention of Tech-Preview Status of 32-bit guest on 64-bit host in RHEL 5.2 and 5.3 release notes.
No mention of Tech-Preview Status of 32-bit guest on 64-bit host in RHEL 5.2 ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.3
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Ryan Lerch
Virtualization Bugs
:
Depends On:
Blocks: 492190
  Show dependency treegraph
 
Reported: 2009-01-29 14:15 EST by Zak Brown
Modified: 2009-12-14 16:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-22 11:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zak Brown 2009-01-29 14:15:23 EST
The Release notes for RHEL 5.1 mention the fact that running 32-bit paravirt guests on a 64-bit host is in tech preview:

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/release-notes/RELEASE-NOTES-U1-x86_64-en.html

"This update to the Virtualization feature also includes the capability to install and run paravirtualized 32-bit guests on 64-bit hosts. However, this capability is provided as a Technology Preview; as such, it is not supported for production use."

There is no similar statement in the release notes of RHEL 5.2 or 5.3 even though this feature is still in tech-preview.

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.2/html/Release_Notes/ia64/ar01s07s03.html

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Release_Notes/sect-Release_Notes-Technology_Previews.html
Comment 1 Bill Burns 2009-01-29 14:55:48 EST
Assigning to release note writer. The note should be present in the RHEL 5.2 and 5.3 release notes.
Comment 2 Chris Lalancette 2009-07-29 09:35:44 EDT
Ryan,
     Well, we are kind of in a funny situation.  RHEL-5.4 is going to make 32-bit guest on 64-bit host fully supported.  So we won't need a release note in 5.4 anymore.  However, should we still update the online release notes on 5.2 and 5.3 to say that it's still tech-preview on those releases?  Or should we just close this and forget about it?

Chris Lalancette
Comment 3 Chris Lalancette 2009-10-22 11:39:23 EDT
5.4 now fully supports 32-on-64.  I'm going to close this bug out now; if someone feels we should update the online 5.2 and 5.3 release notes, feel free to reopen this bug.

Chris Lalancette
Comment 4 Zak Brown 2009-10-22 12:05:11 EDT
In my opinion the documentation should be revised.  I've encountered confusion on this question from customers in the field twice now.  Users who are working with 5.3 don't think to read back to the 5.1 release notes and compare the two.  Which is something you would have to do to see that this restriction still exists in 5.3.  We also cannot assume that they'll read the 5.4 release notes either.  I've encountered this in the field twice now.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.